<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2023 Workiva-->
<!--r:7686694e-e326-46bb-ae6a-eb42b1bb38de,g:2fce85fb-5bd8-4fe2-8b2d-7ec675fb2efe-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_ifrs-full_FeeAndCommissionIncomeExpense_7b3d4fb4-22ee-43fd-8831-856f33a1c0e9_totalLabel_en" xlink:label="lab_ifrs-full_FeeAndCommissionIncomeExpense" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Finance income (cost)</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FeeAndCommissionIncomeExpense" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FeeAndCommissionIncomeExpense"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_FeeAndCommissionIncomeExpense" xlink:to="lab_ifrs-full_FeeAndCommissionIncomeExpense" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers_label_en" xlink:label="lab_hsbcmalta_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Decrease Increase In Loans And Advances To Banks And Customers</link:label>
    <link:label id="lab_hsbcmalta_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers_documentation_en" xlink:label="lab_hsbcmalta_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Decrease Increase In Loans And Advances To Banks And Customers</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers" xlink:href="hsbcmalta-2022-12-31.xsd#hsbcmalta_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers" xlink:to="lab_hsbcmalta_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_IncreaseDecreaseThroughChangesInPresentValueInForceOfLongTermInsuranceBusiness_label_en" xlink:label="lab_hsbcmalta_IncreaseDecreaseThroughChangesInPresentValueInForceOfLongTermInsuranceBusiness" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Increase Decrease Through Changes In Present Value In Force Of Long Term Insurance Business</link:label>
    <link:label id="lab_hsbcmalta_IncreaseDecreaseThroughChangesInPresentValueInForceOfLongTermInsuranceBusiness_documentation_en" xlink:label="lab_hsbcmalta_IncreaseDecreaseThroughChangesInPresentValueInForceOfLongTermInsuranceBusiness" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Increase Decrease Through Changes In Present Value In Force Of Long Term Insurance Business</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_IncreaseDecreaseThroughChangesInPresentValueInForceOfLongTermInsuranceBusiness" xlink:href="hsbcmalta-2022-12-31.xsd#hsbcmalta_IncreaseDecreaseThroughChangesInPresentValueInForceOfLongTermInsuranceBusiness"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_IncreaseDecreaseThroughChangesInPresentValueInForceOfLongTermInsuranceBusiness" xlink:to="lab_hsbcmalta_IncreaseDecreaseThroughChangesInPresentValueInForceOfLongTermInsuranceBusiness" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments_27aa0823-8c28-43f7-a228-6dd3e527528c_totalLabel_en" xlink:label="lab_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other comprehensive income, net of tax, gains (losses) from investments in equity instruments</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments" xlink:to="lab_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_ReceiptsFromInterestFeesLoanRecoveriesAndPremiums_label_en" xlink:label="lab_hsbcmalta_ReceiptsFromInterestFeesLoanRecoveriesAndPremiums" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Receipts From Interest, Fees, Loan Recoveries And Premiums</link:label>
    <link:label id="lab_hsbcmalta_ReceiptsFromInterestFeesLoanRecoveriesAndPremiums_documentation_en" xlink:label="lab_hsbcmalta_ReceiptsFromInterestFeesLoanRecoveriesAndPremiums" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Receipts From Interest, Fees, Loan Recoveries And Premiums</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_ReceiptsFromInterestFeesLoanRecoveriesAndPremiums" xlink:href="hsbcmalta-2022-12-31.xsd#hsbcmalta_ReceiptsFromInterestFeesLoanRecoveriesAndPremiums"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_ReceiptsFromInterestFeesLoanRecoveriesAndPremiums" xlink:to="lab_hsbcmalta_ReceiptsFromInterestFeesLoanRecoveriesAndPremiums" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_7cb19e2d-d6a8-436a-aa60-9bae561a7347_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) operations before changes in working capital</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueDesignatedUponInitialRecognitionOrSubsequently_label_en" xlink:label="lab_hsbcmalta_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueDesignatedUponInitialRecognitionOrSubsequently" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Decrease (Increase) In Financial Assets At Fair Value, Designated Upon Initial Recognition Or Subsequently</link:label>
    <link:label id="lab_hsbcmalta_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueDesignatedUponInitialRecognitionOrSubsequently_documentation_en" xlink:label="lab_hsbcmalta_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueDesignatedUponInitialRecognitionOrSubsequently" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Decrease (Increase) In Financial Assets At Fair Value, Designated Upon Initial Recognition Or Subsequently</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueDesignatedUponInitialRecognitionOrSubsequently" xlink:href="hsbcmalta-2022-12-31.xsd#hsbcmalta_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueDesignatedUponInitialRecognitionOrSubsequently"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueDesignatedUponInitialRecognitionOrSubsequently" xlink:to="lab_hsbcmalta_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueDesignatedUponInitialRecognitionOrSubsequently" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_NetInsuranceClaimsAndBenefitsPaidAndMovementInLiabilitiesToPolicyholders_label_en" xlink:label="lab_hsbcmalta_NetInsuranceClaimsAndBenefitsPaidAndMovementInLiabilitiesToPolicyholders" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Net Insurance Claims And Benefits Paid And Movement In Liabilities To Policyholders</link:label>
    <link:label id="lab_hsbcmalta_NetInsuranceClaimsAndBenefitsPaidAndMovementInLiabilitiesToPolicyholders_documentation_en" xlink:label="lab_hsbcmalta_NetInsuranceClaimsAndBenefitsPaidAndMovementInLiabilitiesToPolicyholders" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Net Insurance Claims And Benefits Paid And Movement In Liabilities To Policyholders</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_NetInsuranceClaimsAndBenefitsPaidAndMovementInLiabilitiesToPolicyholders" xlink:href="hsbcmalta-2022-12-31.xsd#hsbcmalta_NetInsuranceClaimsAndBenefitsPaidAndMovementInLiabilitiesToPolicyholders"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_NetInsuranceClaimsAndBenefitsPaidAndMovementInLiabilitiesToPolicyholders" xlink:to="lab_hsbcmalta_NetInsuranceClaimsAndBenefitsPaidAndMovementInLiabilitiesToPolicyholders" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInFinancialInstruments_label_en" xlink:label="lab_hsbcmalta_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInFinancialInstruments" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other Comprehensive Income, Net Of Tax, Gains (Losses) From Investments In Financial Instruments</link:label>
    <link:label id="lab_hsbcmalta_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInFinancialInstruments_documentation_en" xlink:label="lab_hsbcmalta_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInFinancialInstruments" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other Comprehensive Income, Net Of Tax, Gains (Losses) From Investments In Financial Instruments</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInFinancialInstruments" xlink:href="hsbcmalta-2022-12-31.xsd#hsbcmalta_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInFinancialInstruments"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInFinancialInstruments" xlink:to="lab_hsbcmalta_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInFinancialInstruments" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_InterestRevenueExpense_a94d10d6-d5e5-4ffb-978a-4f9a15e00651_totalLabel_en" xlink:label="lab_ifrs-full_InterestRevenueExpense" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Interest income (expense)</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestRevenueExpense" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestRevenueExpense"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_InterestRevenueExpense" xlink:to="lab_ifrs-full_InterestRevenueExpense" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners_00848bc3-bfb4-40dc-b58d-3d68a296c9d2_totalLabel_en" xlink:label="lab_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Increase (decrease) through transactions with owners, equity</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="lab_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_7b68c65b-d8d4-4bc9-85b0-8fe733b671ba_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) operating activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_Commitments_label_en" xlink:label="lab_hsbcmalta_Commitments" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Commitments</link:label>
    <link:label id="lab_hsbcmalta_Commitments_documentation_en" xlink:label="lab_hsbcmalta_Commitments" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Commitments</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_Commitments" xlink:href="hsbcmalta-2022-12-31.xsd#hsbcmalta_Commitments"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_Commitments" xlink:to="lab_hsbcmalta_Commitments" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_6097fb11-7726-4566-aae3-e96e82093521_totalLabel_en" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Increase (decrease) in cash and cash equivalents</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_BalancesWithCentralBankOfMaltaTreasuryBillsAndCash_label_en" xlink:label="lab_hsbcmalta_BalancesWithCentralBankOfMaltaTreasuryBillsAndCash" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Balances with Central Bank of Malta, Treasury Bills and Cash</link:label>
    <link:label id="lab_hsbcmalta_BalancesWithCentralBankOfMaltaTreasuryBillsAndCash_documentation_en" xlink:label="lab_hsbcmalta_BalancesWithCentralBankOfMaltaTreasuryBillsAndCash" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Balances with Central Bank of Malta, Treasury Bills and Cash</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_BalancesWithCentralBankOfMaltaTreasuryBillsAndCash" xlink:href="hsbcmalta-2022-12-31.xsd#hsbcmalta_BalancesWithCentralBankOfMaltaTreasuryBillsAndCash"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_BalancesWithCentralBankOfMaltaTreasuryBillsAndCash" xlink:to="lab_hsbcmalta_BalancesWithCentralBankOfMaltaTreasuryBillsAndCash" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_OperatingExpense_e9912248-6bf1-41cc-bbfe-395f4f908fd3_totalLabel_en" xlink:label="lab_ifrs-full_OperatingExpense" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Operating expense</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OperatingExpense" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OperatingExpense"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_OperatingExpense" xlink:to="lab_ifrs-full_OperatingExpense" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_3421608b-39c6-4a23-b155-cf69f8789689_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_RevenueAndOperatingIncome_a5943fb0-8111-4ae5-8f42-3eb91b977a04_totalLabel_en" xlink:label="lab_ifrs-full_RevenueAndOperatingIncome" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Profit Loss From Operating Activities Before Changes In Expected Credit Losses And Provisions</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RevenueAndOperatingIncome" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RevenueAndOperatingIncome"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_RevenueAndOperatingIncome" xlink:to="lab_ifrs-full_RevenueAndOperatingIncome" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_NetOperatingIncome_85e05513-f68e-4ca4-a4ab-936a3e6e4b5a_totalLabel_en" xlink:label="lab_hsbcmalta_NetOperatingIncome" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Profit (loss) from operating activities</link:label>
    <link:label id="lab_hsbcmalta_NetOperatingIncome_label_en" xlink:label="lab_hsbcmalta_NetOperatingIncome" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Net Operating Income</link:label>
    <link:label id="lab_hsbcmalta_NetOperatingIncome_documentation_en" xlink:label="lab_hsbcmalta_NetOperatingIncome" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Net Operating Income</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_NetOperatingIncome" xlink:href="hsbcmalta-2022-12-31.xsd#hsbcmalta_NetOperatingIncome"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_NetOperatingIncome" xlink:to="lab_hsbcmalta_NetOperatingIncome" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarningsLandAndBuildings_label_en" xlink:label="lab_hsbcmalta_IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarningsLandAndBuildings" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Increase Decrease Through Transfer Between Revaluation Reserve And Retained Earnings, Land and Buildings</link:label>
    <link:label id="lab_hsbcmalta_IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarningsLandAndBuildings_documentation_en" xlink:label="lab_hsbcmalta_IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarningsLandAndBuildings" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Increase Decrease Through Transfer Between Revaluation Reserve And Retained Earnings, Land and Buildings</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarningsLandAndBuildings" xlink:href="hsbcmalta-2022-12-31.xsd#hsbcmalta_IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarningsLandAndBuildings"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarningsLandAndBuildings" xlink:to="lab_hsbcmalta_IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarningsLandAndBuildings" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_AdjustmentsForIncreaseDecreaseInDepositsFromCustomersAndBanks_label_en" xlink:label="lab_hsbcmalta_AdjustmentsForIncreaseDecreaseInDepositsFromCustomersAndBanks" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Increase Decrease In Deposits From Customers And Banks</link:label>
    <link:label id="lab_hsbcmalta_AdjustmentsForIncreaseDecreaseInDepositsFromCustomersAndBanks_documentation_en" xlink:label="lab_hsbcmalta_AdjustmentsForIncreaseDecreaseInDepositsFromCustomersAndBanks" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Increase Decrease In Deposits From Customers And Banks</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_AdjustmentsForIncreaseDecreaseInDepositsFromCustomersAndBanks" xlink:href="hsbcmalta-2022-12-31.xsd#hsbcmalta_AdjustmentsForIncreaseDecreaseInDepositsFromCustomersAndBanks"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_AdjustmentsForIncreaseDecreaseInDepositsFromCustomersAndBanks" xlink:to="lab_hsbcmalta_AdjustmentsForIncreaseDecreaseInDepositsFromCustomersAndBanks" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation_f17af06a-c18d-41fa-b988-05e804a85b6d_totalLabel_en" xlink:label="lab_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other comprehensive income, net of tax, gains (losses) on revaluation</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation" xlink:to="lab_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_AmortisationAndImpairmentIntangibleAssetsOtherThanGoodwill_label_en" xlink:label="lab_hsbcmalta_AmortisationAndImpairmentIntangibleAssetsOtherThanGoodwill" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Amortisation And Impairment, Intangible Assets Other Than Goodwill</link:label>
    <link:label id="lab_hsbcmalta_AmortisationAndImpairmentIntangibleAssetsOtherThanGoodwill_documentation_en" xlink:label="lab_hsbcmalta_AmortisationAndImpairmentIntangibleAssetsOtherThanGoodwill" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Amortisation And Impairment, Intangible Assets Other Than Goodwill</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_AmortisationAndImpairmentIntangibleAssetsOtherThanGoodwill" xlink:href="hsbcmalta-2022-12-31.xsd#hsbcmalta_AmortisationAndImpairmentIntangibleAssetsOtherThanGoodwill"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_AmortisationAndImpairmentIntangibleAssetsOtherThanGoodwill" xlink:to="lab_hsbcmalta_AmortisationAndImpairmentIntangibleAssetsOtherThanGoodwill" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_OperatingIncomeBeforeInsuranceClaimsAndBenefitsPaidAndMovementInLiabilitiesToPolicyholders_00ecf238-b936-4a9e-b190-2d9549483ecf_totalLabel_en" xlink:label="lab_hsbcmalta_OperatingIncomeBeforeInsuranceClaimsAndBenefitsPaidAndMovementInLiabilitiesToPolicyholders" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Total Operating Income</link:label>
    <link:label id="lab_hsbcmalta_OperatingIncomeBeforeInsuranceClaimsAndBenefitsPaidAndMovementInLiabilitiesToPolicyholders_label_en" xlink:label="lab_hsbcmalta_OperatingIncomeBeforeInsuranceClaimsAndBenefitsPaidAndMovementInLiabilitiesToPolicyholders" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Operating Income, Before Insurance Claims And Benefits Paid And Movement In Liabilities To Policyholders</link:label>
    <link:label id="lab_hsbcmalta_OperatingIncomeBeforeInsuranceClaimsAndBenefitsPaidAndMovementInLiabilitiesToPolicyholders_documentation_en" xlink:label="lab_hsbcmalta_OperatingIncomeBeforeInsuranceClaimsAndBenefitsPaidAndMovementInLiabilitiesToPolicyholders" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Operating Income, Before Insurance Claims And Benefits Paid And Movement In Liabilities To Policyholders</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_OperatingIncomeBeforeInsuranceClaimsAndBenefitsPaidAndMovementInLiabilitiesToPolicyholders" xlink:href="hsbcmalta-2022-12-31.xsd#hsbcmalta_OperatingIncomeBeforeInsuranceClaimsAndBenefitsPaidAndMovementInLiabilitiesToPolicyholders"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_OperatingIncomeBeforeInsuranceClaimsAndBenefitsPaidAndMovementInLiabilitiesToPolicyholders" xlink:to="lab_hsbcmalta_OperatingIncomeBeforeInsuranceClaimsAndBenefitsPaidAndMovementInLiabilitiesToPolicyholders" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_AdjustmentForDecreaseIncreaseInTreasuryBills_label_en" xlink:label="lab_hsbcmalta_AdjustmentForDecreaseIncreaseInTreasuryBills" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustment For Decrease (Increase) In Treasury Bills</link:label>
    <link:label id="lab_hsbcmalta_AdjustmentForDecreaseIncreaseInTreasuryBills_documentation_en" xlink:label="lab_hsbcmalta_AdjustmentForDecreaseIncreaseInTreasuryBills" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustment For Decrease (Increase) In Treasury Bills</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_AdjustmentForDecreaseIncreaseInTreasuryBills" xlink:href="hsbcmalta-2022-12-31.xsd#hsbcmalta_AdjustmentForDecreaseIncreaseInTreasuryBills"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_AdjustmentForDecreaseIncreaseInTreasuryBills" xlink:to="lab_hsbcmalta_AdjustmentForDecreaseIncreaseInTreasuryBills" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_dc05d51d-8b5e-46a6-9472-e0998e6d84ce_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperations_0bbe2a9f-ce20-4a06-9c11-25cda9ea673b_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperations" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">The Cash Flows From (Used In) Operating Activities Before Tax</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperations" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_PaymentsForInterestFeesAndClaims_label_en" xlink:label="lab_hsbcmalta_PaymentsForInterestFeesAndClaims" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Payments For Interest, Fees And Claims</link:label>
    <link:label id="lab_hsbcmalta_PaymentsForInterestFeesAndClaims_documentation_en" xlink:label="lab_hsbcmalta_PaymentsForInterestFeesAndClaims" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Payments For Interest, Fees And Claims</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_PaymentsForInterestFeesAndClaims" xlink:href="hsbcmalta-2022-12-31.xsd#hsbcmalta_PaymentsForInterestFeesAndClaims"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_PaymentsForInterestFeesAndClaims" xlink:to="lab_hsbcmalta_PaymentsForInterestFeesAndClaims" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
